Package org.apache.avro.util

# Class SchemaResolver.ResolvingVisitor

java.lang.Object
org.apache.avro.util.SchemaResolver.ResolvingVisitor

All Implemented Interfaces:
  `SchemaVisitor<Void>`

Enclosing class:
  `SchemaResolver`

public static final class SchemaResolver.ResolvingVisitor extends Object implements SchemaVisitor<Void>
This visitor creates clone of the visited Schemata, minus the specified schema properties, and resolves all unresolved schemas.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.avro.util.SchemaVisitor

`SchemaVisitor.SchemaVisitorAction`

## Constructor Summary

Constructors
Constructor
Description
`ResolvingVisitor(Function<String,Schema> symbolTable)`

## Method Summary

Modifier and Type
Method
Description
`SchemaVisitor.SchemaVisitorAction`
`afterVisitNonTerminal(Schema nt)`
Invoked for schemas with children after its children have been visited.
`void`
`copyProperties(Schema first, Schema second)`
`Void`
`get()`
Invoked when visiting is complete.
`Schema`
`getResolved(Schema schema)`
`String`
`toString()`
`SchemaVisitor.SchemaVisitorAction`
`visitNonTerminal(Schema nt)`
Invoked for schema with children before proceeding to visit the children.
`SchemaVisitor.SchemaVisitorAction`
`visitTerminal(Schema terminal)`
Invoked for schemas that do not have "child" schemas (like string, int …) or for a previously encountered schema with children, which will be treated as a terminal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolvingVisitor

public ResolvingVisitor(Function<String,Schema> symbolTable)

## Method Details

### visitTerminal

public SchemaVisitor.SchemaVisitorAction visitTerminal(Schema terminal)
Description copied from interface: `SchemaVisitor`
Invoked for schemas that do not have "child" schemas (like string, int …) or for a previously encountered schema with children, which will be treated as a terminal. (to avoid circular recursion)

Specified by:
  `visitTerminal` in interface `SchemaVisitor<Void>`

### visitNonTerminal

public SchemaVisitor.SchemaVisitorAction visitNonTerminal(Schema nt)
Description copied from interface: `SchemaVisitor`
Invoked for schema with children before proceeding to visit the children.

Specified by:
  `visitNonTerminal` in interface `SchemaVisitor<Void>`

### copyProperties

public void copyProperties(Schema first, Schema second)

### afterVisitNonTerminal

public SchemaVisitor.SchemaVisitorAction afterVisitNonTerminal(Schema nt)
Description copied from interface: `SchemaVisitor`
Invoked for schemas with children after its children have been visited.

Specified by:
  `afterVisitNonTerminal` in interface `SchemaVisitor<Void>`

### get

public Void get()
Description copied from interface: `SchemaVisitor`
Invoked when visiting is complete.

Specified by:
  `get` in interface `SchemaVisitor<Void>`
Returns:
  a value that will be returned by the visit method.

### getResolved

public Schema getResolved(Schema schema)

### toString

public String toString()

Overrides:
  `toString` in class `Object`